<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwDeviceEditorNavigator: Device Editor and Navigator Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
  <meta content="Manuel Gonzalez Berges" name="author">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwDeviceEditorNavigator.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2"><br>
The Device Manager is the entry panel of the Framework.
Most of the Framework functionality is available navigating from it. <br>
The user can navigate in two modes, Configuration and Operation. The Configuration mode
is meant to create/remove and configure the required devices inside
WinCC. Once they are configured, then the user can switch to
Operation mode to do basic operations to setup device specific
parameters.<br>
      <br>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><br>
      <br>
The panel is organized in three tabs (Hardware, Logical, FSM)
reflecting the steps necessary to configure the necessary for your
application.&nbsp; Each tab has two different working modes: Configuration and
Operation.<br>
      <br>
&nbsp; 1. Hardware View (<a href="#Figure_1">Figure 1</a>):
      <div style="margin-left: 40px;">The first step when creating your
application is to instantiate and set up the representation
of the devices you are using (e.g. high voltage crates, temperature
sensors, etc) inside WinCC. This is done in the Hardware View. In this view the
devices are organized in vendor nodes (e.g. CAEN,
Wiener). The following actions are available when right clicking
in the tree in Configuration mode (for more details go to the help of the
specific panel):<br>
      </div>
      <ul style="margin-left: 40px;">
        <li>'Add ...': to create new devices in WinCC and configure them with
the default settings.<br>
        </li>
        <li>'Clone ...': to copy a subtree of devices keeping their
configuration.<br>
        </li>
        <li>'Remove': to delete a subtree of devices. It actually deletes
the devices from WinCC.<br>
        </li>
        <li>'Mass configuration ...': to configure a subtree of devices. It is also
possible to configure a part of the tree selected according to some
criteria.<br>
        </li>
		<li>'Settings ...': Open the basic settings panel which, besides setting basic parameters, can also link to an advanced settings panel.<br>
        </li>
        <li>'Properties ...': Displays all the elements of the selected
device together with the configuration for each of them.<br>
        </li>
        <li>'Configuration DB ...': If the Configuration DB tool is
installed, a panel will pop-up to deal with the storage and retrieval
of the selected subtree in a database.<br>
        </li>
      </ul>
      <div style="margin-left: 40px;">At the system level node the
following options are available:<br>
      <ul>
        <li>'System settings ...': To set system parameters. Currently only
the help browser is specified. <br>
        </li>
        <li>'Mass configuration ...': To configure all the devices in the hardware
tree. It is also possible to configure a subset selected according to
some criteria.</li>
        <li>'Register device type ...': Register an existing WinCC datapoint
type as a Framework device.<br>
        </li>
        <li>'Inactive alarms ...': List all alarms in the system which
are inactive (masked). These are alarms for which the alarm condition
is still evaluated, but no alarm is raised when the alarm condition is
raised.<br>
        </li>
		<li>'Installation tool ...': opens the Installation Tool<br>
        </li>
      </ul>
      </div>
2. Logical View (<a href="fwDeviceEditorNavigator.htm#Figure_2">Figure 2</a>):<br>
      <div style="margin-left: 40px;">After the hardware representation
has been created, one can move to the organization of devices in
logical units. This is done in the Logical and FSM tabs. In the
Logical View one can group devices at a low level to build units that
will be used afterwards in the FSM hierarchy. The following
actions are available when right clicking in the tree in
Configuration mode (for more details go to the help of the specific panel):</div>
      <ul style="margin-left: 40px;">
        <li>'Add' -&gt; 'Add node ...': Create an empty logical node.<br>
        </li>
        <li>'Add' -&gt; 'Add from hardware ...': Add devices created in the
hardware View to a logical node.</li>
		<li>'Cut': Move a subtree of devices to the clipboard.<br>
        </li>
        <li>'Paste': Take a subtree of devices from the clipboard and
put it as child of the selected device.<br>
        </li>
        <li>'Remove': Delete a subtree from the logical tree. The
devices are not removed from WinCC. Simply their alias is set to null.<br>
        </li>
        <li>'Rename ...': Change the logical name (WinCC alias) of the
selected device.<br>
        </li>
        <li>'Mass configuration ...': Configure a subtree of devices. It is also
possible to configure a part of the tree selected according to some
criteria.</li>
		<li>'Settings ...': Open the basic settings panel which, besides setting basic parameters, can also link to an advanced settings panel.<br>
        </li>
        <li>'Properties ...': Display all elements of the selected
device together with the configuration for each of them.
		</li>
        <li>'Configuration DB ...': If the Configuration DB tool is
installed, a panel will pop-up to deal
with the storage and retrieval of the selected subtree in a database.</li>
      </ul>
      <div style="margin-left: 40px;">some of these actions might be
disabled depending on the type of the selected device. At the system
level node the
following options are available:</div>
      <ul style="margin-left: 40px;">
        <li>'Add' -&gt; 'Add node ...': Create an empty logical node.<br>
        </li>
        <li>'Add' -&gt; 'Add from hardware ...': Add devices created in the
hardware View to a logical node.
		</li>
        <li>'Paste': Paste a subtree available from the clipboard.<br>
        </li>
        <li>'Mass configuration ...': Configure all the devices in the logical tree.
It is also possible to configure a subset selected according to some
criteria.</li>
        <li>'Installation tool ...': Open the Installation Tool</li>
      </ul>
3. FSM View:<br>
      <div style="margin-left: 40px;">Here is where you can add
behaviour to the devices in the Hardware and Logical Views. For more
details on how to use the FSM View, you can have a look at the home page of the
fwFSM component <a href="http://clara.home.cern.ch/clara/fw/FwFsm.html">fwFSM.</a><br>
      <br>
      </div>
      <ul>
        <ul>
        </ul>
      </ul>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2"><br>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table style="text-align: left; margin-left: auto; margin-right: auto;"
 border="0">
  <tbody>
    <tr>
      <td style="text-align: center;">
      <div align="center"><a name="Figure_1"></a><br>
&nbsp;&nbsp; <img alt="" src="fwDeviceEditorNavigatorHardwareView.png"><br>
Figure 1. Hardware View.<br>
      </div>
      </td>
      <td style="vertical-align: top; text-align: center;"><a
 name="Figure_2"></a><br>
      <div style="text-align: center;">&nbsp;&nbsp;&nbsp;<img alt=""
 src="fwDeviceEditorNavigatorLogicalView.png"><br>
      </div>
      <div style="text-align: center;">Figure 2. Logical View.</div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td><br>
      </td>
      <td><br>
      </td>
      <td><br>
      </td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
